Subject: Re: [PATCH 0/3] rebase -i: drop, missing commits and static checks

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Jun 2015 10:09:38 -0700

Matthieu Moy <[email-masked]> writes:

> There's an alternative:
>
> $ git rebase --edit-todo
> # Make mistakes, save and quit
> Your todo-list has the following issues:
> - ...
> Do you want to edit again (no aborts the rebase) [Y/n]?
>
> There's a precedent with the 'e' command of "git add -p". I have a
> slight preference for non-interactive commands so I prefer not going
> this way though.

edit-todo (and "rebase -i" in general) is all about going
interactive, isn't it?  I was almost going to suggest to keep
spawning the editor until the user gets it right, but that would
infinitely repeat when GIT_EDITOR is set to a broken script, so
I didn't ;-).